##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once GthRxAlignCheck.yaml

GthRxAlignCheck: &GthRxAlignCheck
  class: MMIODev
  configPrio: 1
  description: Timing frame phase lock
  size: 0x10000
  children:
    #########################################################
    PhaseCount:
      at:
        offset: 0x0000
        stride: 1
        nelms: 40
      class: IntField
      name: PhaseCount
      sizeBits: 8
      lsBit: 0
      mode: RO
      description: Timing frame phase
    #########################################################
    PhaseTarget:
      at:
        offset: 0x0100
      class: IntField
      name: PhaseTarget
      sizeBits: 7
      lsBit: 0
      mode: RW
      description: Timing frame phase lock target
    #########################################################
    PhaseMask:
      at:
        offset: 0x0101
      class: IntField
      name: PhaseTarget
      sizeBits: 7
      lsBit: 0
      mode: RW
      description: Mask for timing frame phase lock target
    #########################################################
    ResetLen:
      at:
        offset: 0x0102
      class: IntField
      name: ResetLen
      sizeBits: 4
      lsBit: 0
      mode: RW
      description: Reset length
    #########################################################
    LastPhase:
      at:
        offset: 0x0104
      class: IntField
      name: LastPhase
      sizeBits: 7
      lsBit: 0
      mode: RO
      description: Last timing frame phase seen
